## org.gnu.gtk
Class MessageDialog

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.Window
                                  org.gnu.gtk.Dialog
                                      org.gnu.gtk.MessageDialog

public class MessageDialog
extends Dialog

MessageDialog presents a dialog with an image representing the type of message (Error, Question, etc.) alongside some message text. It's simply a convenience widget; you could construct the equivalent of MessageDialog from `Dialog` without too much effort, but MessageDialog saves typing.

The easiest way to do a modal message dialog is to use `Dialog.run()`.

Constructor Summary
`MessageDialog(org.gnu.glib.Handle handle)` Construct a MessageDialog using a handle to a native resource.
`MessageDialog(Window parent, DialogFlags flags, MessageType type, ButtonsType buttons, java.lang.String message, boolean hasMarkup)` Construct a new MessageDialog.

Method Summary
`static MessageDialog` `getMessageDialog(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `setMarkup(java.lang.String markup)` Sets the text of the message dialog to be `markup`, which is marked up with the Pango text markup language.
`void` `setSecondaryMarkup(java.lang.String markup)` Sets the secondary text of the message dialog to be `markup`, which is marked up with the Pango text markup language.
`void` `setSecondaryText(java.lang.String text)` Sets the secondary text of the message dialog to be `text`.

Methods inherited from class org.gnu.gtk.Dialog
`addButton, addButton, addListener, addWidget, getActionArea, getDialog, getDialogLayout, getEventListenerClass, getEventType, getHasSeparator, getResponseForWidget, removeListener, run, setDefaultResponse, setHasSeparator`

Methods inherited from class org.gnu.gtk.Window

`addAccelGroup, deiconify, destroy, fullscreen, getAcceptFocus, getDefaultIconList, getFocusOnMap, getFocusWidget, getGravity, getIcon, getIconList, getIconName, getPosition, getScreen, getSize, getSkipPagerHint, getSkipTaskbarHint, getTitle, getTransientParent, getWindow, hasToplevelFocus, iconify, isActive, isDestroyed, listToplevelWindows, maximize, move, present, removeAccelGroup, resize, setAcceptFocus, setAutoStartupNotification, setDecorated, setDefaultIcon, setDefaultIconFromFile, setDefaultIconList, setDefaultIconName, setDefaultSize, setDefaultWidget, setFocusOnMap, setFocusWidget, setGeometryHints, setGravity, setIcon, setIconFromFile, setIconList, setIconName, setKeepAbove, setKeepBelow, setModal, setPosition, setResizable, setScreen, setSkipPagerHint, setSkipTaskbarHint, setTitle, setTransientParent, stick, unfullscreen, unmaximize, unstick`

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDialog

    public MessageDialog(Window parent,
                         DialogFlags flags,
                         MessageType type,
                         ButtonsType buttons,
                         java.lang.String message,
                         boolean hasMarkup)

  Construct a new MessageDialog.

Parameters:
  `parent` - The parent Window of this MessageDialog.
  `flags` - Provides initialization information for the Dialog.
  `type` - The type of message to display. @see MessageType
  `buttons` - What type of buttons should be on this dialog.
  `message` - The message to display.
  `hasMarkup` - Does the message String contain markup?

### MessageDialog

    public MessageDialog(org.gnu.glib.Handle handle)

  Construct a MessageDialog using a handle to a native resource.

Method Detail

### getMessageDialog

    public static MessageDialog getMessageDialog(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setMarkup

    public void setMarkup(java.lang.String markup)

  Sets the text of the message dialog to be `markup`, which is marked up with the Pango text markup language.

  Parameters:
    `markup` - The markup string.

### setSecondaryText

    public void setSecondaryText(java.lang.String text)

  Sets the secondary text of the message dialog to be `text`.

  Note that setting a secondary text makes the primary text become bold, unless you have provided explicit markup.

  Since:
    2.6

### setSecondaryMarkup

    public void setSecondaryMarkup(java.lang.String markup)

  Sets the secondary text of the message dialog to be `markup`, which is marked up with the Pango text markup language.

  Note that setting a secondary text makes the primary text become bold, unless you have provided explicit markup.

  Since:
    2.6

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.